import java.util.List;
import java.util.Scanner;

public class EinkommenInfo {
    public static void main(String[] args) {
        System.out.println("Übersicht über Bevölkerungszahl und Einkommen in Deutschland");
        GebietsDatei gebietsDatei = new GebietsDatei("Einkommen.csv");
        List<Gebiet> gebiete = gebietsDatei.getGebiete();
        GebietsListe gebietsListe = new GebietsListe(gebiete);

        System.out.println(gebietsListe.getAnzahlGesamt() + " Gebiete wurden eingelesen.");
        System.out.println(gebietsListe.getAnzahlUnvollstaendig() + " davon haben unvollständige Angaben\n");

        System.out.println("Gebiet mit dem geringsten Durchschnittseinkommen:");
        Gebiet tmp = gebietsListe.getGebietMinDurchschnittsEinkommen();
        System.out.println(tmp.getName());
        System.out.println(tmp.getAnzahlEinwohner());
        System.out.println(tmp.getDurchschnittsEinkommen());
        System.out.println("");

        System.out.println("Gebiet mit der größten Einwohnerzahl");
        tmp = gebietsListe.getGebietMaxAnzahlEinwohner();
        System.out.println(tmp.getName());
        System.out.println(tmp.getAnzahlEinwohner());
        System.out.println(tmp.getDurchschnittsEinkommen());
        System.out.println("");

        System.out.print("Name des Gebietes :");
        Scanner reader = new Scanner(System.in);
        String eingabe = reader.nextLine();

        while(!eingabe.isEmpty()) {
            List<Gebiet> tmpList;
            tmpList = gebietsListe.getGebieteNachNamen(eingabe);

            for (Gebiet g : tmpList) {
                g.getName();
                g.getAnzahlEinwohner();
                g.getDurchschnittsEinkommen();
                System.out.println("");
            }

            System.out.println(tmpList.size() + " Gebiete wurden gefunden.");
            System.out.print("Name des Gebietes :");
            eingabe = reader.nextLine();
        }
    }
}
